Loading...
Searching...
No Matches
casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T > Class Template Reference

`#include <ArrayPartMath.h>`

## Public Member Functions

| StddevFunc (size_t ddof)
virtual | ~StddevFunc ()
virtual T | operator() (const Array< T > &arr) const final override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, RES >
virtual | ~ArrayFunctorBase ()

## Private Attributes

size_t | itsDdof

## Detailed Description

template<typename T>
class casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >

Definition at line 228 of file ArrayPartMath.h.

## Constructor & Destructor Documentation

## StddevFunc()

template<typename T>

casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >::StddevFunc | ( | size_t | ddof | ) |

inline explicit

Definition at line 230 of file ArrayPartMath.h.

References itsDdof.

## ~StddevFunc()

template<typename T>

virtual casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >::~StddevFunc | ( |  | ) |

inline virtual

Definition at line 232 of file ArrayPartMath.h.

## Member Function Documentation

## operator()()

template<typename T>

virtual T casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >::operator() | ( | const Array< T > & | arr | ) | const

inline final override virtual

Implements casacore::ArrayFunctorBase< T, RES >.

Definition at line 233 of file ArrayPartMath.h.

References itsDdof.

## Member Data Documentation

## itsDdof

template<typename T>

size_t casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >::itsDdof

private

Definition at line 235 of file ArrayPartMath.h.

Referenced by operator()(), and StddevFunc().

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayPartMath.h